<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__clock__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_clock_t</compoundname>
    <includes local="no">cyhal_hw_resources.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__clock__t_1a12a2c8d12099bb43979094e9336ffec6" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_divider_types_t</type>
        <definition>cy_en_divider_types_t cyhal_clock_t::div_type</definition>
        <argsstring />
        <name>div_type</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Deprecated </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="115" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="115" />
      </memberdef>
      <memberdef id="structcyhal__clock__t_1a621dd72458c30e3386ca3a60c5646a96" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_clock_t::div_num</definition>
        <argsstring />
        <name>div_num</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Deprecated </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="116" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="116" />
      </memberdef>
      <memberdef id="structcyhal__clock__t_1a60762f348f4de6260d4eee35a6cd6560" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__hw__types_1ga1968e793be1599de10dec9e2d48f66d6">cyhal_clock_block_t</ref></type>
        <definition>cyhal_clock_block_t cyhal_clock_t::block</definition>
        <argsstring />
        <name>block</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="118" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="118" />
      </memberdef>
      <memberdef id="structcyhal__clock__t_1aa27063ada31404de933c54ade97205df" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_clock_t::channel</definition>
        <argsstring />
        <name>channel</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="119" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="119" />
      </memberdef>
      <memberdef id="structcyhal__clock__t_1a4b783c0785fab0565508506aeb055429" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_clock_t::reserved</definition>
        <argsstring />
        <name>reserved</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="120" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="120" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Clock object Application code should not rely on the specific contents of this struct. </para>    </briefdescription>
    <detaileddescription>
<para>They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <location bodyend="121" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" bodystart="112" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_resources.h" line="113" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__clock__t_1a60762f348f4de6260d4eee35a6cd6560" virt="non-virtual"><scope>cyhal_clock_t</scope><name>block</name></member>
      <member prot="public" refid="structcyhal__clock__t_1aa27063ada31404de933c54ade97205df" virt="non-virtual"><scope>cyhal_clock_t</scope><name>channel</name></member>
      <member prot="public" refid="structcyhal__clock__t_1a621dd72458c30e3386ca3a60c5646a96" virt="non-virtual"><scope>cyhal_clock_t</scope><name>div_num</name></member>
      <member prot="public" refid="structcyhal__clock__t_1a12a2c8d12099bb43979094e9336ffec6" virt="non-virtual"><scope>cyhal_clock_t</scope><name>div_type</name></member>
      <member prot="public" refid="structcyhal__clock__t_1a4b783c0785fab0565508506aeb055429" virt="non-virtual"><scope>cyhal_clock_t</scope><name>reserved</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>